RubyGems Navigation menu

backup-bouchard 4.4.2

Backup is a RubyGem, written for UNIX-like operating systems, that allows you to easily perform backup operations on both your remote and local environments. It provides you with an elegant DSL in Ruby for modeling your backups. Backup has built-in support for various databases, storage protocols/services, syncers, compressors, encryptors and notifiers which you can mix and match. It was built with modularity, extensibility and simplicity in mind. This version has updated dependencies to be installable on Ruby 2.4.0 in which json 1.8.3 breaks. This is as of January 2017.

Versions:

  1. 4.4.4 - January 09, 2017 (80.5 KB)
  2. 4.4.2 - January 09, 2017 (81 KB)
  3. 4.4.1 - January 09, 2017 (81 KB)

Runtime Dependencies (19):

  • aws-ses >= 0.5.0
  • dogapi >= 1.11.0
  • dropbox-sdk >= 1.6.5
  • excon >= 0.44
  • flowdock >= 0.4.0
  • fog >= 1.28.0
  • hipchat >= 1.0.1
  • json >= 2.0.2
  • mail >= 2.6.3
  • net-scp >= 1.2.1
  • net-sftp >= 2.1.2
  • net-ssh >= 3.2.0
  • nokogiri >= 1.6.0
  • open4 >= 1.3.0
  • pagerduty >= 2.0.0
  • qiniu >= 6.5.1
  • thor >= 0.18.1
  • twitter >= 5.5.0
  • unf >= 0.1.3
  • Development Dependencies (5):

  • mocha = 0.14.0
  • rake >= 0
  • rspec = 2.14.1
  • rubocop = 0.45.0
  • timecop = 0.7.1
  • Owners:

    Authors:

    • Michael van Rooijen

    SHA 256 checksum:

    a4667547dc26192e57515123ac444967cee63763e7cf95c34dcf6021ee196da6

    Total downloads 3,087

    For this version 870

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.0

    Links: